Bug 172357 - [PATCH] devel/ncurses: Fix build with clang
Summary: [PATCH] devel/ncurses: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-05 14:50 UTC by Gleb Popov
Modified: 2012-10-08 15:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.71 KB, patch)
2012-10-05 14:50 UTC, Gleb Popov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2012-10-05 14:50:06 UTC
The code in question is quite strange, i didn't get what developers meant with this, so i just silenced compiler with explicit cast.

Fix: This is a patch for files/ dir.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-10-05 14:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Rong-En Fan freebsd_committer 2012-10-08 15:17:21 UTC
State Changed
From-To: open->closed

committed with upstream fix, thanks!
Comment 3 dfilter service freebsd_committer 2012-10-08 15:19:56 UTC
Author: rafan
Date: Mon Oct  8 14:19:46 2012
New Revision: 305536
URL: http://svn.freebsd.org/changeset/ports/305536

Log:
  - Fix build with clang
  
  PR:		ports/172357
  Submitted by:	arrowdodger <6yearold at gmail.com>
  Obtained from:	upstream (20110409 and 20120608 patch)

Added:
  head/devel/ncurses/files/
  head/devel/ncurses/files/patch-c++-clang   (contents, props changed)
Modified:
  head/devel/ncurses/Makefile

Modified: head/devel/ncurses/Makefile
==============================================================================
--- head/devel/ncurses/Makefile	Mon Oct  8 13:47:58 2012	(r305535)
+++ head/devel/ncurses/Makefile	Mon Oct  8 14:19:46 2012	(r305536)
@@ -7,6 +7,7 @@
 
 PORTNAME=	ncurses
 PORTVERSION=	${RELEASE}
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	${PORTNAME}

Added: head/devel/ncurses/files/patch-c++-clang
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ncurses/files/patch-c++-clang	Mon Oct  8 14:19:46 2012	(r305536)
@@ -0,0 +1,40 @@
+--- c++/cursesf.h.orig	2012-10-07 15:21:40.000000000 +0800
++++ c++/cursesf.h	2012-10-07 15:22:12.000000000 +0800
+@@ -677,7 +677,7 @@
+   }
+ 
+ public:
+-  NCursesUserForm (NCursesFormField Fields[],
++  NCursesUserForm (NCursesFormField* Fields[],
+ 		   const T* p_UserData = STATIC_CAST(T*)(0),
+ 		   bool with_frame=FALSE,
+ 		   bool autoDelete_Fields=FALSE)
+@@ -686,7 +686,7 @@
+ 	set_user (const_cast<void *>(p_UserData));
+   };
+ 
+-  NCursesUserForm (NCursesFormField Fields[],
++  NCursesUserForm (NCursesFormField* Fields[],
+ 		   int nlines,
+ 		   int ncols,
+ 		   int begin_y = 0,
+--- c++/cursesm.h.orig	2012-10-07 15:21:44.000000000 +0800
++++ c++/cursesm.h	2012-10-07 15:22:55.000000000 +0800
+@@ -635,7 +635,7 @@
+   }
+ 
+ public:
+-  NCursesUserMenu (NCursesMenuItem Items[],
++  NCursesUserMenu (NCursesMenuItem* Items[],
+ 		   const T* p_UserData = STATIC_CAST(T*)(0),
+ 		   bool with_frame=FALSE,
+ 		   bool autoDelete_Items=FALSE)
+@@ -644,7 +644,7 @@
+ 	set_user (const_cast<void *>(p_UserData));
+   };
+ 
+-  NCursesUserMenu (NCursesMenuItem Items[],
++  NCursesUserMenu (NCursesMenuItem* Items[],
+ 		   int nlines,
+ 		   int ncols,
+ 		   int begin_y = 0,
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"